.sidenavwrapper {
  width: 100%;
  height: 100%; }
  .sidenavwrapper .sidenav {
    height: 100%;
    width: 0;
    position: fixed;
    z-index: 2000;
    top: 0;
    left: 0;
    float: left;
    background-color: #1560ab;
    overflow-x: hidden;
    transition: 0.5s;
    color: #fff;
    overflow-y: hidden; }
    .sidenavwrapper .sidenav:hover {
      overflow-y: auto; }
    .sidenavwrapper .sidenav .app_name {
      background-color: #1976d2;
      height: 70px;
      width: 100%; }
      .sidenavwrapper .sidenav .app_name h2 {
        white-space: nowrap;
        margin-left: 0px;
        padding: 18px 15px; }
      .sidenavwrapper .sidenav .app_name a i {
        font-size: 32px;
        vertical-align: middle; }
      .sidenavwrapper .sidenav .app_name a.closebtn {
        cursor: pointer;
        position: absolute;
        top: 0;
        right: 0px;
        padding: 20px;
        height: 70px;
        color: #fff; }
    .sidenavwrapper .sidenav li {
      height: 70px;
      width: 70px; }
      .sidenavwrapper .sidenav li:hover, .sidenavwrapper .sidenav li:focus {
        width: 70px;
        height: 70px;
        background-color: #1a74cd; }
      .sidenavwrapper .sidenav li a {
        width: 24px;
        height: 21.9px;
        padding: 8px 15px;
        white-space: nowrap;
        text-decoration: none;
        font-size: 14px;
        font-weight: 200;
        color: #fff;
        display: block;
        transition: 0.3s;
        cursor: pointer; }
        .sidenavwrapper .sidenav li a span {
          font-size: 10px;
          vertical-align: left; }
        .sidenavwrapper .sidenav li a img {
          margin-right: 20px; }
        .sidenavwrapper .sidenav li a:hover, .sidenavwrapper .sidenav li a:focus {
          width: 70px;
          height: 70px;
          color: #fff;
          background-color: #1a74cd;
          font-weight: 300; }
        .sidenavwrapper .sidenav li a.active {
          width: 24px;
          height: 21.9px;
          background-color: #1a74cd; }
        .sidenavwrapper .sidenav li a.expandsidemenu {
          cursor: pointer;
          height: 70px; }
          .sidenavwrapper .sidenav li a.expandsidemenu i {
            font-size: 32px;
            padding-top: 15px;
            vertical-align: middle; }
    .sidenavwrapper .sidenav ul {
      list-style: none;
      padding: 0px;
      padding-top: 8px; }
      .sidenavwrapper .sidenav ul .subnav {
        padding-left: 30px; }
        .sidenavwrapper .sidenav ul .subnav li {
          background: url("../images/sidebar-nav-icon.png") no-repeat; }
          .sidenavwrapper .sidenav ul .subnav li a {
            padding: 7px 40px; }
            .sidenavwrapper .sidenav ul .subnav li a:hover {
              background: none;
              background: url("../images/sidebar-nav-active-icon.png") no-repeat; }
    .sidenavwrapper .sidenav.sidenavicons {
      width: 70px; }
      .sidenavwrapper .sidenav.sidenavicons .app_name {
        display: none; }
    .sidenavwrapper .sidenav.sidenaviconshide {
      width: 0px; }
      .sidenavwrapper .sidenav.sidenaviconshide .app_name {
        display: none; }
    .sidenavwrapper .sidenav.sidenaviconsexpand {
      width: 290px; }
      .sidenavwrapper .sidenav.sidenaviconsexpand .app_name {
        display: block; }
      .sidenavwrapper .sidenav.sidenaviconsexpand ul li a.expandsidemenu {
        display: none; }
  .sidenavwrapper.sidenaviconsexpand .sidenavicons {
    width: 290px; }
    .sidenavwrapper.sidenaviconsexpand .sidenavicons .app_name {
      display: block; }
    .sidenavwrapper.sidenaviconsexpand .sidenavicons ul li a.expandsidemenu {
      display: none; }
